
QGIS Application - Feature request #3808

get rid of annoying svg messages

2011-05-08 05:35 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: Build/Install

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 13866

Description

I see (in [[DebugView]]) the annoying set of messages (below) in the following circumstances:

- every time I add an svg (any svg) to a composer layout.

- when I open a saved project the messages are repeated for each layout that contains an svg (or perhaps for each svg on each layout - I

don't know, as I always have just one svg per layout, a north arrow).

The attached patch fixes the svgs included in qgis, so I no longer get the messages.  But it seems very strange to me that these messages

were output when opening a project.  Why would qgis  need to read these svgs, when they are not used in the project?  And why would it

need to read them repeatedly, for every composer layout with an svg?
History

#1 - 2011-05-08 05:42 PM - Alister Hood

My editor automatically changed UTF to utf in the first line of each file.  I'll attach a "clean" patch without those changes too.

#2 - 2011-09-20 08:20 PM - Alister Hood

- Pull Request or Patch supplied set to Yes

- OS version deleted (XP)
- Target version deleted (Version 1.7.0)

- Assignee deleted (nobody -)

- File 0001-fix-errors-in-some-svgs-3808.patch added

here's a git patch in case it saves someone a little time

I didn't quite make it clear in the description - this patch simply fixes some minor errors in a few of the svgs included with QGIS

#3 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2014-04-23 05:14 PM - Alister Hood

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Some cleanup work on the svgs also fixed the offending ones of this.

But it seems very strange to me that these messages were output when opening a project. Why would qgis need to read these svgs, when they are

not used in the project? And why would it need to read them repeatedly, for every composer layout with an svg?

And it looks like this has been fixed as well - if I replace one of the "broken" svgs I only get the error message at times when I would actually expect QGIS to

read it.

Files

fix_svg_messages.patch 27.3 KB 2011-05-08 Alister Hood

fix_svg_messages_clean.patch 25.6 KB 2011-05-08 Alister Hood

0001-fix-errors-in-some-svgs-3808.patch 26.2 KB 2011-09-20 Alister Hood
